Bug 123959 - up2date freezes in middle of RPM download
up2date freezes in middle of RPM download
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks: 124619
  Show dependency treegraph
 
Reported: 2004-05-21 21:15 EDT by Pierre Sarrazin
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-23 18:26:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre Sarrazin 2004-05-21 21:15:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
I run up2date and it lists a few available updates for FC2.
I select the cvs-1.11.15-6 package and ask up2date to download
and install it.  The download stops somewhere in the middle
(e.g., 410k out of 1080k) and the up2date window freezes.
(If I iconify and restore the up2date window, it is not redrawn.)


Version-Release number of selected component (if applicable):
4.3.19-1

How reproducible:
Always

Steps to Reproduce:
1. Open up2date
2. Ask to download one of the available updates
3. Wait...
    

Actual Results:
The package download is not completed and the up2date window freezes.
The following text is written to the terminal:

http://fedora.redhat.com/download/up2date-mirrors/fedora-core-2
using mirror: http://mirror.hiwaay.net/redhat/fedora/linux/core/2/i386/os/
http://fedora.redhat.com/download/up2date-mirrors/updates-released-fc2
using mirror:
http://distro.ibiblio.org/pub/linux/distributions/fedora/linux/core/updates/2/i386/
/usr/share/rhn/up2date_client/checklist.py:139: DeprecationWarning:
integer argument expected, got float
  info  = self.get_selection_info (event.x, event.y)


Expected Results:  Fast package download (I have a DSL connection).
At least, the window should not freeze if the server stalls.
Perhaps up2date could dynamically try another mirror if the
current one stalls for too long.

Additional info:

I have used yum from the command line many times and the downloads
would often stall in the middle, like this.  Oddly, this
rarely happened with other download tools (Galeon, ftp client, etc).

I have just upgraded to FC2 from an FC1 system.
Comment 1 Adrian Likins 2004-05-27 18:24:24 EDT
the problem is with the overloaded yum repo servers and its
mirrors.

proper client side fix is to change the code to be
more robust in the face of networking failures, which
is targetted for fc2 updates or fc3.
Comment 2 Matthew Miller 2005-04-26 11:52:01 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 Todd Warner 2005-09-23 18:26:30 EDT
non issue. closing

Note You need to log in before you can comment on or make changes to this bug.